﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using TanuloTarsApp;

namespace TanuloTarsApp.Migrations
{
    [DbContext(typeof(StudentContext))]
    partial class StudentContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.10")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("TanuloTarsApp.Entity.Admin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Password")
                        .HasColumnType("text");

                    b.Property<string>("Username")
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Admins");
                });

            modelBuilder.Entity("TanuloTarsApp.Entity.Student", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("AboutMe")
                        .HasColumnType("text")
                        .HasAnnotation("MySQL:Charset", "utf8");

                    b.Property<int>("Age")
                        .HasColumnType("int");

                    b.Property<string>("Degree")
                        .HasColumnType("text")
                        .HasAnnotation("MySQL:Charset", "utf8");

                    b.Property<string>("Email")
                        .HasColumnType("text")
                        .HasAnnotation("MySQL:Charset", "latin1");

                    b.Property<string>("Gender")
                        .HasColumnType("text")
                        .HasAnnotation("MySQL:Charset", "utf8");

                    b.Property<string>("Language")
                        .HasColumnType("text")
                        .HasAnnotation("MySQL:Charset", "utf8");

                    b.Property<string>("Location")
                        .HasColumnType("text")
                        .HasAnnotation("MySQL:Charset", "utf8");

                    b.Property<string>("Subject")
                        .HasColumnType("text")
                        .HasAnnotation("MySQL:Charset", "utf8");

                    b.Property<string>("Username")
                        .HasColumnType("text")
                        .HasAnnotation("MySQL:Charset", "latin1");

                    b.HasKey("Id");

                    b.ToTable("Students");

                    b.HasAnnotation("MySQL:Charset", "utf8");
                });
#pragma warning restore 612, 618
        }
    }
}
